import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { OperativeDashboardComponent } from './views/operative-dashboard/components/operative-dashboard/operative-dashboard.component';
import { CustomerInteractionComponent } from './views/customer-interaction-dashboard/componentes/customer-interaction/customer-interaction.component';

const routes: Routes = [
  {
    path: 'operative', component: OperativeDashboardComponent,
    data: {
      program: 'CONVERSATIONAL_AGENT',
      breadcrumb: 'Operativo',
      title: 'dashboards.operative.title',
      titleDesc: 'dashboards.operative.title.desc'
    }
  },
  {
    path: 'customer-interaction', component: CustomerInteractionComponent,
    data: {
      program: 'CONVERSATIONAL_AGENT',
      breadcrumb: 'Operativo',
      title: 'dashboards.customer.interaction.title',
      titleDesc: 'dashboards.customer.interaction.title.desc'
    }
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class DashboardsRoutingModule { }
