XDF / Component library for Angular

Código fuente: http://git.tbs.com:8888/XDF4JavaProjects/ng-byte-framework/tree/master/projects/xdf-layouts

## Table of Contents
* [Installation](#installation)
* [Usage](#usage)
* [API](#api)
* [FAQ](#faq)
* [HISTORY](#history)

## Installation

First you need to install the npm module:

```sh

npm install @xdf/commons --save
```

## Usage

#### 1. Import the `XdfLayoutsModule`:

Finally, you can use xdf-commns in your Angular project. You have to import `XdfLayoutsModule` in the root NgModule of your application.

The [`forRoot`](https://angular.io/api/router/RouterModule#forroot) static method is a convention that provides and configures services at the same time.
Make sure you only call this method in the root module of your application, most of the time called `AppModule`.
This method allows you to configure the `XdfCommonsModule` by specifying a loader, a parser and/or a missing translations handler.

```ts
import {BrowserModule} from '@angular/platform-browser';
import {NgModule} from '@angular/core';
import { XdfLayoutsModule } from '@xdf/layouts';

@NgModule({
    imports: [
        BrowserModule,
        XdfLayoutsModule
    ],
    bootstrap: [AppComponent]
})
export class AppModule { }
```

## History
### v. 1.0.1
* Se corrige estilos del breadcrumb

### v. 0.3.3
* Se añade soporte a diferentes iconos a: TabComponent
* Se corrige funcionalidad de TabComponent que no permitía mantener la posición del URL

### v. 0.3.2
* Se añade soporte para diferentes iconos (material design) para el menú

### v. 0.3.0
* Se corrige problema en el menú por el cual no aparecía el header del menu con un fondo

### v. 0.0.8
* Se corrigió un problema que no permitía mostar el logo de Byte en la parte superior del menú
* Se creó un chat, que puede ser usado para responder preguntas de los usuarios.
* Se modificó footer para que el año sea dinámico
* Se corrije problema para el manejo de idioma en los submodulos
* Se estandarizó el uso de componentes de angular material en el formulario
* Se elimina el botón de cambiar idioma y se integra en el panel de configuración
* Se comentó la opción de ir arriba que poseía el status bar, por problema con el componente.

### v. 0.0.7
* Incluye soporte a seguridad sso
* Soporte a roles y configuración del sistema

### v. 0.0.6
* Export del combo box de language
