import { Observable } from 'rxjs';
import { Pagination } from '@xdf/commons';
export declare abstract class DataService {
    serviceURL: string;
    abstract getResultPagination(pagination: Pagination): Observable<Pagination>;
    abstract getResultList(alternativeURL: string): Observable<any>;
    abstract search(alternativeURL: string, filter: any): Observable<any>;
    abstract getResult(id: any): Observable<object>;
    abstract getResultFromURL(alternativeURL: string, id: any): Observable<object>;
    abstract create(data: any): Observable<object>;
    abstract update(id: any, data: any): Observable<object>;
    abstract delete(id: any): Observable<object>;
    abstract validateField(value: any, path: string, serviceURL: string): Observable<object>;
    abstract export(pagination: Pagination, type: string, definition: string): Observable<object>;
    abstract getAuditData(auditData: any): Observable<object>;
    protected getPage(page: Pagination): Pagination;
}
