import { OnInit, OnChanges, EventEmitter, ElementRef, ChangeDetectorRef } from '@angular/core';
import { FormControl } from '@angular/forms';
import { MatSelect } from '@angular/material/select';
import { TranslateService } from '@ngx-translate/core';
import { ValidatorUtils } from '../../../utils/validator-utils';
import { FormGroupUtils } from '../../../utils/form-group-utils';
export declare class SelectAutocompleteComponent implements OnInit, OnChanges {
    private cdRef;
    private translate;
    protected validatorUtils: ValidatorUtils;
    private formGroupUtils;
    private translateService;
    name: string;
    selectPlaceholder: string;
    placeholder: string;
    options: any[];
    required: boolean;
    disabled: boolean;
    display: string;
    value: string;
    formGroup: any;
    formControl: FormControl;
    errorMsg: string;
    showErrorMsg: boolean;
    selectedOptions: any;
    multiple: boolean;
    initialValue: string;
    labelCount: number;
    appearance: 'standard' | 'fill' | 'outline';
    selectionChange: EventEmitter<any[]>;
    closeSelector: EventEmitter<any>;
    selectElem: MatSelect;
    searchInput: ElementRef;
    filteredOptions: Array<any>;
    selectedValue: Array<any>;
    selectAllChecked: boolean;
    displayString: string;
    constructor(cdRef: ChangeDetectorRef, translate: TranslateService, validatorUtils: ValidatorUtils, formGroupUtils: FormGroupUtils, translateService: TranslateService);
    ngOnInit(): void;
    ngOnChanges(): void;
    emitSelectedValues(): void;
    toggleDropdown(): void;
    toggleSelectAll(val: any): void;
    filterItem(value: any): void;
    private translateLabel;
    hideOption(option: any): boolean;
    getFilteredOptionsValues(): any[];
    onDisplayString(): string;
    openedChange(event: any): void;
    onSelectionChange(val: any): void;
    trackByFn(index: any, item: any): any;
    getErrors(): any[];
}
